;              
CREATE USER IF NOT EXISTS SA SALT '47bf9ab383f8d328' HASH '32cfe9d26b00692dc32a46b5f0fa21dfd3c6cbf930d8a87b54d470964b29402a' ADMIN;            
CREATE CACHED TABLE PUBLIC.ATTRIBUTE(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    KEY VARCHAR(256),
    VALUE VARCHAR(2048)
); 
ALTER TABLE PUBLIC.ATTRIBUTE ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
CREATE CACHED TABLE PUBLIC.CATEGORY(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    SORT INTEGER,
    CATEGORY_ID BIGINT
);       
ALTER TABLE PUBLIC.CATEGORY ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(ID);
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO PUBLIC.CATEGORY(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, SORT, CATEGORY_ID) VALUES
(1, NULL, NULL, 'Personnage principal', '', '', '', 1, NULL),
(2, NULL, NULL, 'Personnage secondaire', '', '', '', 2, NULL);     
CREATE CACHED TABLE PUBLIC.CHAPTER(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    TITLE VARCHAR(256),
    PART_ID BIGINT,
    CHAPTERNO INTEGER,
    CREATION_TS TIMESTAMP,
    OBJECTIVE_TS TIMESTAMP,
    DONE_TS TIMESTAMP,
    OBJECTIVE_CH INTEGER
);       
ALTER TABLE PUBLIC.CHAPTER ADD CONSTRAINT PUBLIC.CONSTRAINT_5 PRIMARY KEY(ID); 
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER;  
INSERT INTO PUBLIC.CHAPTER(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, TITLE, PART_ID, CHAPTERNO, CREATION_TS, OBJECTIVE_TS, DONE_TS, OBJECTIVE_CH) VALUES
(1, NULL, NULL, 'Chapitre 1', '', '', '', 'Chapitre 1', 1, 1, TIMESTAMP '2020-06-06 18:40:28.282', NULL, NULL, 0);      
CREATE CACHED TABLE PUBLIC.GENDER(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CHILDHOOD INTEGER NOT NULL,
    ADOLESCENCE INTEGER NOT NULL,
    ADULTHOOD INTEGER NOT NULL,
    RETIREMENT INTEGER NOT NULL,
    ICONE VARCHAR(256)
);        
ALTER TABLE PUBLIC.GENDER ADD CONSTRAINT PUBLIC.CONSTRAINT_7 PRIMARY KEY(ID);  
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO PUBLIC.GENDER(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHILDHOOD, ADOLESCENCE, ADULTHOOD, RETIREMENT, ICONE) VALUES
(1, NULL, NULL, 'Homme', '', '', '', 12, 6, 47, 14, NULL),
(2, NULL, NULL, 'Femme', '', '', '', 12, 6, 47, 14, NULL);           
CREATE CACHED TABLE PUBLIC.IDEAS(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    STATUS INTEGER,
    CATEGORY VARCHAR(256)
);     
ALTER TABLE PUBLIC.IDEAS ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
CREATE CACHED TABLE PUBLIC.INTERNAL(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    KEY VARCHAR(512),
    STRING_VALUE VARCHAR(4096),
    INTEGER_VALUE INTEGER,
    BOOLEAN_VALUE BOOLEAN,
    BINVALUE BINARY(16384)
);         
ALTER TABLE PUBLIC.INTERNAL ADD CONSTRAINT PUBLIC.CONSTRAINT_50 PRIMARY KEY(ID);               
-- 71 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO PUBLIC.INTERNAL(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, KEY, STRING_VALUE, INTEGER_VALUE, BOOLEAN_VALUE, BINVALUE) VALUES
(1, NULL, NULL, '', '', '', '', 'CalendarYearDays', NULL, 365, NULL, NULL),
(2, NULL, NULL, '', '', '', '', 'CalendarHours', '24:60:60', 24, NULL, NULL),
(3, NULL, NULL, '', '', '', '', 'CalendarMinutes', NULL, 60, NULL, NULL),
(4, NULL, NULL, '', '', '', '', 'CalendarSeconds', NULL, 60, NULL, NULL),
(5, NULL, NULL, '', '', '', '', 'CalendarStartDay', NULL, 0, NULL, NULL),
(6, NULL, NULL, '', '', '', '', 'CalendarMonthsName', '', NULL, NULL, NULL),
(7, NULL, NULL, '', '', '', '', 'CalendarDaysName', '', NULL, NULL, NULL),
(8, NULL, NULL, '', '', '', '', 'Scenario', '1', NULL, TRUE, NULL),
(9, NULL, NULL, '', '', '', '', 'Markdown', NULL, NULL, TRUE, NULL),
(10, NULL, NULL, '', '', '', '', 'Title', 'Largo Winch', NULL, NULL, NULL),
(11, NULL, NULL, '', '', '', '', 'SubTitle', '', NULL, NULL, NULL),
(12, NULL, NULL, '', '', '', '', 'Author', STRINGDECODE('Julien Rappeneau et J\u00e9r\u00f4me Salle'), NULL, NULL, NULL),
(13, NULL, NULL, '', '', '', '', 'Copyright', STRINGDECODE('Publication \u00e0 but \u00e9ducatif uniquement \u2013 Tous droits r\u00e9serv\u00e9'), NULL, NULL, NULL),
(14, NULL, NULL, '', '', '', '', 'Blurb', STRINGDECODE('D''apr\u00e8s l''oeuvre de Jean Van Hamme et Philippe Francq\n(source Les Lecteurs Anonymes)\n\nNerio Winch, un vieil homme d''affaires \u00e0 la t\u00eate d''un empire financier de dix milliards de dollars, n''a ni enfants ni h\u00e9ritiers potentiels. Il d\u00e9cide alors d''adopter secr\u00e8tement un orphelin yougoslave du nom de Largo Winczlav pour assurer la continuit\u00e9 de son groupe.\nLorsque Nerio meurt assassin\u00e9 par un cadre du groupe, Largo, \u00e2g\u00e9 de vingt-six ans, h\u00e9rite de toute sa fortune et se retrouve \u00e0 la t\u00eate de l''\u00e9norme empire financier qu''est le Groupe W. Tractations, coups mont\u00e9s, OPA, action, magouilles, d\u00e9tournements sont les ingr\u00e9dients de sa nouvelle vie dans l''univers de la haute finance. '), NULL, NULL, NULL),
(15, NULL, NULL, '', '', '', '', 'Notes', '', NULL, NULL, NULL),
(16, NULL, NULL, '', '', '', '', 'xEditorUse', '0', NULL, FALSE, NULL),
(17, NULL, NULL, '', '', '', '', 'ChornoLayoutDirection', NULL, NULL, TRUE, NULL),
(18, NULL, NULL, '', '', '', '', 'ChornoShowDateDiff', NULL, NULL, FALSE, NULL),
(19, NULL, NULL, '', '', '', '', 'ChronoZoom', NULL, 40, NULL, NULL),
(20, NULL, NULL, '', '', '', '', 'UseHtmlScenes', NULL, NULL, TRUE, NULL),
(22, NULL, NULL, '', '', '', '', 'TypistUse', '0', NULL, FALSE, NULL),
(23, NULL, NULL, '', '', '', '', 'UseHtmlDescr', NULL, NULL, TRUE, NULL),
(24, NULL, NULL, '', '', '', '', 'EditorModless', NULL, NULL, FALSE, NULL),
(25, NULL, NULL, '', '', '', '', 'LastUsedPart', '1', 1, NULL, NULL),
(44, NULL, NULL, '', '', '', '', 'ReadingZoom', NULL, 60, NULL, NULL),
(45, NULL, NULL, '', '', '', '', 'ReadingFontSize', NULL, 11, NULL, NULL),
(46, NULL, NULL, '', '', '', '', 'HTMLUseCSS', NULL, NULL, FALSE, NULL),
(47, NULL, NULL, '', '', '', '', 'HTMLNav', NULL, NULL, FALSE, NULL),
(48, NULL, NULL, '', '', '', '', 'HTMLNavImage', NULL, NULL, FALSE, NULL),
(49, NULL, NULL, '', '', '', '', 'HTMLBookMultifile', NULL, NULL, FALSE, NULL),
(50, NULL, NULL, '', '', '', '', 'HTMLBookMultiScene', NULL, NULL, FALSE, NULL),
(51, NULL, NULL, '', '', '', '', 'ExportChapterBooktitle', NULL, NULL, FALSE, NULL),
(52, NULL, NULL, '', '', '', '', 'ExportChapterBreakPage', NULL, NULL, FALSE, NULL),
(53, NULL, NULL, '', '', '', '', 'ExportChapterNumbers', NULL, NULL, FALSE, NULL),
(54, NULL, NULL, '', '', '', '', 'ExportRomanNumerals', NULL, NULL, FALSE, NULL),
(55, NULL, NULL, '', '', '', '', 'ExportChapterTitles', NULL, NULL, FALSE, NULL),
(56, NULL, NULL, '', '', '', '', 'ExportChapterDatesLocations', NULL, NULL, FALSE, NULL),
(57, NULL, NULL, '', '', '', '', 'ExportSceneDidascalie', NULL, NULL, FALSE, NULL),
(58, NULL, NULL, '', '', '', '', 'ExportSceneTitles', NULL, NULL, FALSE, NULL),
(59, NULL, NULL, '', '', '', '', 'ExportSceneSeparator', NULL, NULL, FALSE, NULL);       
INSERT INTO PUBLIC.INTERNAL(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, KEY, STRING_VALUE, INTEGER_VALUE, BOOLEAN_VALUE, BINVALUE) VALUES
(60, NULL, NULL, '', '', '', '', 'ExportPartTitles', NULL, NULL, FALSE, NULL),
(61, NULL, NULL, '', '', '', '', 'PDFPageSize', '', NULL, NULL, NULL),
(62, NULL, NULL, '', '', '', '', 'PDFLandscape', NULL, NULL, FALSE, NULL),
(72, NULL, NULL, '', '', '', '', 'HTMLCssFile', '', NULL, NULL, NULL),
(73, NULL, NULL, '', '', '', '', 'Assistant', '', NULL, NULL, NULL),
(74, NULL, NULL, '', '', '', '', 'AssistantStep', NULL, NULL, FALSE, NULL),
(75, NULL, NULL, '', '', '', '', 'AssistantPolti', NULL, NULL, FALSE, NULL),
(76, NULL, NULL, '', '', '', '', 'UseCalendar', '0', NULL, FALSE, NULL),
(77, NULL, NULL, '', '', '', '', 'BookCreationDate', '07/06/20', NULL, NULL, NULL),
(78, NULL, NULL, '', '', '', '', 'ManageColumns', NULL, 5, NULL, NULL),
(79, NULL, NULL, '', '', '', '', 'ManageHideUnassigned', NULL, NULL, FALSE, NULL),
(80, NULL, NULL, '', '', '', '', 'ManageZoom', NULL, 10, NULL, NULL),
(81, NULL, NULL, '', '', '', '', 'BookZoom', NULL, 40, NULL, NULL),
(82, NULL, NULL, '', '', '', '', 'BookHeightFactor', NULL, 10, NULL, NULL),
(101, NULL, NULL, '', '', '', '', 'MemosView', NULL, NULL, FALSE, NULL),
(102, NULL, NULL, '', '', '', '', 'MemoriaBalloon', NULL, NULL, TRUE, NULL),
(105, NULL, NULL, '', '', '', '', 'StoryboardDirection', NULL, NULL, TRUE, NULL),
(295, NULL, NULL, '', '', '', '', 'Table.ChapterTable', STRINGDECODE('(ID=75,0,hide)(Partie=75,1)(Num\u00e9ro=75,2)(Intitul\u00e9=75,3)(Nb de sc\u00e8nes=99,0,hide)(Cr\u00e9ation le=77,4)(Objectif de date=112,5)(Objectif de taille=112,6)(Description=400,7)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL),
(339, NULL, NULL, '', '', '', '', 'xEditorName', '', NULL, NULL, NULL),
(340, NULL, NULL, '', '', '', '', 'xEditorTemplate', '', NULL, NULL, NULL),
(341, NULL, NULL, '', '', '', '', 'xEditorExtension', '', NULL, NULL, NULL),
(356, NULL, NULL, '', '', '', '', 'CalendarDays', 'dimanche,dim.;lung,lun.;mardi,mar.;mercredi,mer.;jeudi,jeu.;vendredi,ven.;samedi,sam.', NULL, NULL, NULL),
(357, NULL, NULL, '', '', '', '', 'CalendarMonths', STRINGDECODE('janvier,janv.,31;f\u00e9vrier,f\u00e9vr.,28;mars,mars,31;avril,avr.,30;mai,mai,31;juin,juin,30;juillet,juil.,31;ao\u00fbt,ao\u00fbt,31;septembre,sept.,30;octobre,oct.,31;novembre,nov.,30;d\u00e9cembre,d\u00e9c.,31'), NULL, NULL, NULL),
(359, NULL, NULL, '', '', '', '', 'UUID', '', NULL, NULL, NULL),
(360, NULL, NULL, '', '', '', '', 'ISBN', '', NULL, NULL, NULL),
(361, NULL, NULL, '', '', '', '', 'Language', '', NULL, NULL, NULL),
(378, NULL, NULL, '', '', '', '', 'Table.PersonTable', STRINGDECODE('(ID=75,0,hide)(Pr\u00e9nom/Surnom=116,1)(Nom=75,2)(abr\u00e9viation=78,3)(Genre=75,4)(Cat\u00e9gorie=75,5)(Date de naissance=132,6)(Jour de d\u00e9c\u00e8s=98,0,hide)(Profession=76,0,hide)(Couleur=75,7)(Attributs=75,0,hide)(Description=400,0,hide)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL),
(379, NULL, NULL, '', '', '', '', 'Table.LocationTable', STRINGDECODE('(ID=75,0,hide)(Nom=75,1)(Adresse=75,0,hide)(Ville=75,2)(Pays=75,3)(o\u00f9=75,4)(Altitude=75,0,hide)(GPS=75,0,hide)(Description=400,5)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL),
(380, NULL, NULL, '', '', '', '', 'Table.SceneTable', STRINGDECODE('(ID=75,0,hide)(Intitul\u00e9=75,1)(Mots=75,2)(Fil=75,3)(Chapitre=75,4)(Num\u00e9ro=75,0,hide)(\u00c9tat=75,5)(Informatif=75,0,hide)(Narrateur=75,0,hide)(Sans date=75,0,hide)(Date=75,6)(Se passe=75,0,hide)(jour(s) apr\u00e8s la sc\u00e8ne=152,0,hide)(Fils=75,0,hide)(R\u00e9sum\u00e9/Texte=400,0,hide)(Personnages=95,7)(Lieux=75,8)(Objets=75,9)(photos=75,10)(Actions=75,11)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL),
(383, NULL, NULL, '', '', '', '', 'TypistShowInfo', '', NULL, NULL, NULL),
(387, NULL, NULL, '', '', '', '', 'Table.null', STRINGDECODE('(ID=75,0,hide)(Intitul\u00e9=75,1)(Mots=75,2)(Fil=75,3)(Chapitre=75,4)(Num\u00e9ro=75,0,hide)(\u00c9tat=75,5)(Informatif=80,0,hide)(Narrateur=79,0,hide)(Sans date=80,0,hide)(Date=75,6)(Se passe=75,0,hide)(jour(s) apr\u00e8s la sc\u00e8ne=171,0,hide)(Fils=75,0,hide)(R\u00e9sum\u00e9/Texte=400,0,hide)(Personnages=105,7)(Lieux=75,8)(Objets=75,9)(photos=75,10)(Actions=75,11)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL);
CREATE CACHED TABLE PUBLIC.PART(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    NUMBER INTEGER,
    PART_ID BIGINT,
    CREATION_TS TIMESTAMP,
    OBJECTIVE_TS TIMESTAMP,
    DONE_TS TIMESTAMP,
    OBJECTIVE_CH INTEGER
);     
ALTER TABLE PUBLIC.PART ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(ID);    
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO PUBLIC.PART(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, NUMBER, PART_ID, CREATION_TS, OBJECTIVE_TS, DONE_TS, OBJECTIVE_CH) VALUES
(1, NULL, NULL, 'Partie 1', '', '', '', 1, NULL, TIMESTAMP '2020-06-06 18:40:28.281', NULL, NULL, 0);
CREATE CACHED TABLE PUBLIC.PERSON(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    GENDER_ID BIGINT,
    FIRSTNAME VARCHAR(256),
    LASTNAME VARCHAR(256),
    ABBREVIATION VARCHAR(256),
    BIRTHDAY TIMESTAMP,
    DAYOFDEATH TIMESTAMP,
    OCCUPATION VARCHAR(256),
    COLOR INTEGER,
    CATEGORY_ID BIGINT
);             
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.CONSTRAINT_8 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
CREATE CACHED TABLE PUBLIC.PLOT(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CATEGORY VARCHAR(255)
);          
ALTER TABLE PUBLIC.PLOT ADD CONSTRAINT PUBLIC.CONSTRAINT_25 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
CREATE CACHED TABLE PUBLIC.RELATIONSHIP(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    PERSON1_ID BIGINT,
    PERSON2_ID BIGINT,
    START_SCENE_ID BIGINT,
    END_SCENE_ID BIGINT
);           
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.CONSTRAINT_7A PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE PUBLIC.SCENE(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CHAPTER_ID BIGINT,
    STRAND_ID BIGINT,
    SCENENO INTEGER,
    SCENE_TS TIMESTAMP,
    TITLE VARCHAR(2048),
    SUMMARY VARCHAR(32768),
    STATUS INTEGER,
    RELATIVE_DATE_DIFFERENCE INTEGER,
    RELATIVE_SCENE_ID BIGINT,
    INFORMATIVE BOOLEAN,
    SCENARIO_PITCH VARCHAR(1024),
    SCENARIO_STAGE INTEGER,
    SCENARIO_START INTEGER,
    SCENARIO_END INTEGER,
    SCENARIO_MOMENT INTEGER,
    SCENARIO_LOC INTEGER,
    ODF VARCHAR(256),
    NARRATOR_ID BIGINT
);           
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.CONSTRAINT_4B PRIMARY KEY(ID);  
-- 22 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;   
INSERT INTO PUBLIC.SCENE(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, INFORMATIVE, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC, ODF, NARRATOR_ID) VALUES
(1, '2020-06-06 18:41:24', '2020-07-10 13:54:45', STRINGDECODE('Sc\u00e8ne 1'), '', '', '', 1, 1, 1, NULL, STRINGDECODE('Sc\u00e8ne 1'), STRINGDECODE('Un cri de femme. Son visage effray\u00e9. Une chaise renvers\u00e9e. Une bousculade. Des images confuses. Elle traverse en reculant une grande pi\u00e8ce pauvrement meubl\u00e9e. Un homme s''avance vers elle. Ses mains \u00e9paisses retirent la ceinture de son pantalon. Celle-ci se transforme en fouet qui vient s''abattre sur la femme apeur\u00e9e. En m\u00eame temps qu''il frappe, l''homme gueule en serbo-croate.\n\nElle a \u00e0 peine trente ans, lui vingt de plus. Il a le regard brillant d''un type qui a trop bu. Ils sont tous deux habill\u00e9s comme des paysans du d\u00e9but du si\u00e8cle dernier.\n\nLa femme pleure, tente de lui \u00e9chapper, mais c''est peine perdue. L''homme la suit \u00e0 travers la pi\u00e8ce, sans jamais cesser de la battre, sans jamais s''arr\u00eater de l''insulter.\n\nCach\u00e9 derri\u00e8re une porte, un petit gar\u00e7on d''environ sept ans assiste \u00e0 la sc\u00e8ne. Lui aussi pleure. Mais en silence. Au fur et \u00e0 mesure que la cam\u00e9ra se rapproche de son visage, les cris s''estompent. Plus aucun bruit.\n\nSauf une sonnerie de t\u00e9l\u00e9phone.'), 1, 0, -1, FALSE, '', 0, 0, 0, 1, 1, '', NULL),
(2, '2020-06-06 18:44:13', '2020-07-10 15:03:34', STRINGDECODE('Sc\u00e8ne 2'), '', '', '', 1, 1, 2, NULL, STRINGDECODE('Sc\u00e8ne 2'), STRINGDECODE('Dans la p\u00e9nombre, un t\u00e9l\u00e9phone moderne pos\u00e9 sur une table de nuit. La lumi\u00e8re rouge clignote. Une main entre dans le champ, allume la lampe de chevet. L''homme s''assied sur le bord du lit. Ag\u00e9 d''un peu plus de soixante dix ans, cheveux blancs, peau mate. V\u00eatu d''un pyjama \u00e0 l''ancienne, tr\u00e8s chic.\n\nNerio Winch est charismatique. Il d\u00e9croche.\n\n(DIALOGUES EN ANGLAIS SOUS-TITR\u00c9S FRAN\u00c7AIS JUSQU''\u00c0 LA SC\u00c8NE 3)\n\n/NERIO/ Oui ?\n\n/VOIX D''HOMME/ (OFF) Bonsoir Monsieur Winch.\n\nNerio le reconna\u00eet. Cette fois, il est bel et bien r\u00e9veill\u00e9.\n\n/NERIO/ (sec) Qu''est ce que vous voulez ?\n\nL''interlocuteur garde le silence. Un court temps.\n\n/NERIO/ (m\u00e9prisant) Je vous ai d\u00e9j\u00e0 donn\u00e9 assez, il me semble...\n\n/VOIX D''HOMME/ (OFF) Ne vous inqui\u00e9tez pas, je ne veux plus de votre argent. Il s''est pass\u00e9 beaucoup de choses ces derniers temps. J''ai rencontr\u00e9 une personne. Une personne qui m''a offert beaucoup plus que...\n\n/NERIO/ (l''interrompant, tr\u00e8s sec) Qu''est-ce que vous voulez ?\n\n/VOIX D''HOMME/ (OFF) Vous dire au revoir. Tout simplement. Ou plut\u00f4t adieu.\n\n/NERIO/ C''est \u00e7a, allez au diable !\n\n/VOIX D''HOMME/ (OFF) Apr\u00e8s vous Nerio puisque...$(comme une confidence) ...vous allez mourir cette nuit.\n\nPour toute r\u00e9ponse, Nerio \u00e9clate de rire.\n\nClic. L''interlocuteur a raccroch\u00e9. Nerio repose le combin\u00e9. Il a cess\u00e9 de rire. Sa main sur le combin\u00e9 tremble un peu.\n\nNerio se l\u00e8ve dans son immense chambre, luxueusement meubl\u00e9e. Par les fen\u00eatres, on ne distingue que la nuit. Il enfile une robe de chambre en soie pos\u00e9e sur un fauteuil. Gros plan sur une corbeille remplie de pommes. Nerio en prend une.'), 0, 0, -1, FALSE, '', 0, 0, 0, 7, 1, '', NULL),
(3, '2020-06-06 18:49:43', '2020-06-06 18:49:43', STRINGDECODE('Sc\u00e8ne 3'), '', '', '', 1, 1, 3, NULL, STRINGDECODE('Sc\u00e8ne 3'), STRINGDECODE('Nerio sort. Aussit\u00f4t une petite brise lui fouette le visage.\n\nPlan large. Nerio est sur le pont arri\u00e8re d''un immense yacht.\n\nEn arri\u00e8re-plan les innombrables lumi\u00e8res d''une ville tentaculaire :\n\n(SURIMPRESSION : HONG KONG.)\n\nLe yacht est ancr\u00e9 aux pieds des gratte-ciels. Nerio s''avance vers l''arri\u00e8re du bateau. Il croque dans sa pomme. Tout est calme, tranquille. Soudain, un bruit attire son attention, un couinement r\u00e9gulier.\n\nNerio descend vers la passerelle arri\u00e8re situ\u00e9e au niveau de l''eau et qui sert d''acc\u00e8s ext\u00e9rieur au bateau. Il d\u00e9couvre de dos un marin en tenue qui finit de hisser une annexe sur le pont \u00e0 l''aide d''un treuil \u00e9lectrique. C''est de l\u00e0 que provient le couinement. L''homme se retourne face \u00e0 Nerio, surpris, intimid\u00e9 aussi.\n\n/MARIN/ Bonsoir Monsieur Winch !\n\nL''homme est costaud. Malgr\u00e9 son attitude tr\u00e8s respectueuse, sa mine a quelque chose de patibulaire.\n\n/MARIN/ Le capitaine m''a demand\u00e9 de tout ranger... \u00c7a va souffler cette nuit...\n\nNerio acquiesce d''un hochement de t\u00eate. Le marin dispara\u00eet \u00e0 l''int\u00e9rieur par une petite porte.\n\nNerio, rest\u00e9 seul, se retourne pour contempler la mer. Pour l''instant, elle est d''un calme absolu. Mais soudain, une rafale balaye le bateau et ses environs. Quelques secondes \u00e0 peine. Comme si la temp\u00eate annon\u00e7ait son arriv\u00e9e.\n\nLe calme est revenu. Nerio s''appr\u00eate \u00e0 rentrer lorsque, brusquement, une masse sombre surgit hors de l''eau.\n\nNerio est happ\u00e9 en une fraction de seconde.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 7, 2, NULL, NULL);               
INSERT INTO PUBLIC.SCENE(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, INFORMATIVE, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC, ODF, NARRATOR_ID) VALUES
(4, '2020-06-06 18:58:00', '2020-06-06 18:58:00', STRINGDECODE('Sc\u00e8ne 4'), '', '', '', 1, 1, 4, NULL, STRINGDECODE('Sc\u00e8ne 4'), STRINGDECODE('Nerio ouvre les yeux. Il est sous l''eau. Un plongeur, parfaitement \u00e9quip\u00e9, le tient par les bras et le maintient \u00e0 deux ou trois m\u00e8tres en dessous de la surface.\n\nNerio se d\u00e9bat, mais le plongeur ne rel\u00e2che pas son \u00e9treinte. Nerio s''affole. Le plongeur reste imperturbable. Le masque emp\u00eache de distinguer son visage.\n\nNerio jette ses derni\u00e8res forces pour desserrer l''\u00e9treinte. Il parvient \u00e0 saisir le bras gauche de son agresseur. On remarque une chevali\u00e8re \u00e0 la main gauche de l''homme.\n\nLe plongeur ne l\u00e2che toujours pas sa prise. Nerio suffoque. Il ouvre la bouche dans un r\u00e9flexe d\u00e9sesp\u00e9r\u00e9, mais c''est de l''eau qui p\u00e9n\u00e8tre alors dans ses poumons. Il secoue la t\u00eate, impuissant. Le plongeur assiste \u00e0 cette agonie sans aucune \u00e9motion. Nerio cesse de se d\u00e9battre peu \u00e0 peu. Ses yeux se r\u00e9vulsent. Puis plus rien.\n\nLe plongeur l\u00e2che prise. En quelques coups de palmes, il dispara\u00eet dans l''obscurit\u00e9 des profondeurs. Le corps de Nerio remonte lentement vers la surface \u00e9clair\u00e9e par la lune.\n\nGros plan sur le visage de Nerio, les yeux grands ouverts.\n\n(DEBUT DU GENERIQUE)'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 7, 2, NULL, NULL),
(5, '2020-06-12 11:58:30', '2020-06-12 11:58:30', STRINGDECODE('Sc\u00e8ne 5'), '', '', '', 1, 1, 5, NULL, STRINGDECODE('Sc\u00e8ne 5'), STRINGDECODE('(SURIMPRESSION : BOSNIE HERZEGOVINE. KASINOVIK. 1981)\n\nUne luxueuse Mercedes roule sur une petite route de campagne des Balkans. Le v\u00e9hicule est immatricul\u00e9 en Suisse.\n\nNerio Winch, \u00e2g\u00e9 alors d\u2019une quarantaine d\u2019ann\u00e9es. Il contemple le paysage qui d\u00e9file.\n\nLa Mercedes roule maintenant aux abords d''une petite ville triste. Un panneau indique : **Kasinovik**.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 2, NULL, NULL),
(6, '2020-06-12 12:00:21', '2020-06-12 12:00:21', STRINGDECODE('Sc\u00e8ne 6'), '', '', '', 1, 1, 6, NULL, STRINGDECODE('Sc\u00e8ne 6'), STRINGDECODE('Il pleut. La voiture est gar\u00e9e devant un grand b\u00e2timent un peu v\u00e9tuste. Parapluie \u00e0 la main, le chauffeur, Freddy, ouvre la porte arri\u00e8re de la Mercedes. Nerio sort. Les deux hommes se dirigent vers l''entr\u00e9e du b\u00e2timent. Des enfants, derri\u00e8re les fen\u00eatres du b\u00e2timent, les regardent passer, curieux. Freddy ouvre la porte et laisse entrer son patron. Il reste dehors, \u00e0 l''abri d''un auvent. Gros plan sur Freddy qui s''allume une cigarette. Sa joue gauche est orn\u00e9e d''une longue cicatrice.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 0, 2, NULL, NULL),
(7, '2020-06-12 12:02:01', '2020-06-12 12:02:01', STRINGDECODE('Sc\u00e8ne 7'), '', '', '', 1, 1, 7, NULL, STRINGDECODE('Sc\u00e8ne 7'), STRINGDECODE('(DIALOGUES EN SERBO-CROATE SOUS-TITR\u00c9S FRAN\u00c7AIS JUSQU''\u00c0 LA SC\u00c8NE 12)\n\n(Bureau de la directrice)\n\nNerio Winch est assis face \u00e0 une dame enrob\u00e9e d\u2019une cinquantaine d\u2019ann\u00e9es. Des photos d\u2019enfants en groupe ainsi que le portrait de Tito sont accroch\u00e9s aux murs. Nerio signe\nun ch\u00e8que, le d\u00e9chire, puis le tend \u00e0 la dame. Elle regarde le montant et sourit.\n\n(Couloir)\n\nNerio et la directrice croisent un groupe d\u2019enfants de tous \u00e2ges qui avancent deux par deux conduit par des femmes en blouses. Quelques-uns sont handicap\u00e9s d''une malformation de naissance. Nerio croise leurs regards sombres.\n\n(Salle des berceaux)\n\nIls p\u00e9n\u00e8trent dans une grande salle remplie de berceaux en bois. Le bruit des pleurs de jeunes enfants emplit la pi\u00e8ce. La directrice entra\u00eene Nerio jusqu\u2019\u00e0 un berceau.\n\n/DIRECTRICE/ Le voil\u00e0...\n\nL\u2019homme d\u2019affaires se penche sur le b\u00e9b\u00e9. Il ne pleure pas,fixe cet homme au-dessus de lui. Soudain, venant du fond de la salle, les cris d\u2019une femme d\u00e9tournent l''attention de Nerio. Une assistante essaye de rattraper un b\u00e9b\u00e9 qui s\u2019enfuit \u00e0 quatre pattes.\n\n/ASSISTANTE/ Largo ! Largo !\n\nL\u2019enfant, chevelu et espi\u00e8gle, file sous les berceaux. Nerio observe la sc\u00e8ne, amus\u00e9.\n\nL\u2019assistante parvient \u00e0 saisir le gar\u00e7onnet dans ses bras. Il rit. C''est le seul enfant qui semble rire dans cet orphelinat. Son regard croise celui de Nerio. Ce dernier esquisse un sourire.\n\n/NERIO/ (\u00e0 la directrice) Et lui ?...'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 1, NULL, NULL);          
INSERT INTO PUBLIC.SCENE(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, INFORMATIVE, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC, ODF, NARRATOR_ID) VALUES
(8, '2020-06-13 10:47:42', '2020-06-13 10:47:42', STRINGDECODE('Sc\u00e8ne 8'), '', '', '', 1, 1, 8, NULL, STRINGDECODE('Sc\u00e8ne 8'), STRINGDECODE('Une cuisine simple. Hannah, la quarantaine, est occup\u00e9e \u00e0 \u00e9plucher des l\u00e9gumes en \u00e9coutant la radio. Au-dessus de l''\u00e9vier, la fen\u00eatre donne sur une petite route. Au loin, le bleu de la mer. Jingle Radio France Internationale. Le journaliste d\u00e9marre sur le titre principal: les cons\u00e9quences de l''assassinat du pr\u00e9sident \u00e9gyptien, Anouar El-Sadate.\n\nAu d\u00e9tour d''un virage, appara\u00eet soudain la Mercedes. La femme regarde cette grosse voiture se diriger vers sa maison. Elle coupe la radio.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 0, 1, NULL, NULL),
(9, '2020-06-13 10:49:10', '2020-06-13 10:49:10', STRINGDECODE('Sc\u00e8ne 9'), '', '', '', 1, 1, 9, NULL, STRINGDECODE('Sc\u00e8ne 9'), STRINGDECODE('La silhouette d''Hannah se d\u00e9coupe dans l''ouverture de la porte. Elle s''essuie les mains sur son tablier et se recoiffe rapidement.\n\nLa Mercedes s''arr\u00eate devant la maison. Nerio sort de la voiture. En le voyant, Hannah sourit, heureuse.\n\n/HANNAH/ Nerio... (se retournant) Josip ! Josip !\n\nElle se pr\u00e9cipite pour prendre Nerio dans ses bras.\n\n/HANNAH/ (en fran\u00e7ais) Mais qu''est ce que tu fais l\u00e0 ?\n\n/NERIO/ (en fran\u00e7ais) Tu n''es pas contente de me voir ?\n\nPour toute r\u00e9ponse, elle le serre dans ses bras.\n\nA la porte de la maison appara\u00eet maintenant un homme du m\u00eame \u00e2ge qu''elle, forte corpulence, barbe noire, voici Josip. Il vient \u00e0 son tour serrer Nerio contre lui.\n\n/JOSIP/ Tu aurais pu pr\u00e9venir...\n\n/NERIO/  J''ai toujours aim\u00e9 les surprises...\n\nDes pleurs de b\u00e9b\u00e9. Hannah se pr\u00e9cipite vers la voiture. Freddy, ouvre la porti\u00e8re arri\u00e8re. Gros plan sur Hannah qui d\u00e9couvre la \"surprise\". Les larmes lui montent aux yeux.\n\n/NERIO/ Je voudrais que vous fassiez quelque chose pour moi. Quelque chose d\u2019important...\n\n(FIN DU GENERIQUE.)'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 2, NULL, NULL),
(10, NULL, NULL, STRINGDECODE('Sc\u00e8ne 10'), '', '', '', 1, 1, 10, NULL, STRINGDECODE('Sc\u00e8ne 10'), STRINGDECODE('(SURIMPRESSION : S\u00c0O JOS\u00c9 DOS QUATROS MARCOS. AMAZONIE.)\n\n(DIALOGUES EN PORTUGAIS SOUS-TITR\u00c9S FRAN\u00c7AIS)\n\nUn vieux bateau crasseux d''une douzaine de m\u00e8tres charg\u00e9 d''une petite dizaine de passagers, des gens tr\u00e8s modestes. Il se dirige vers une jet\u00e9e. Sur cette jet\u00e9e, s''avance en m\u00eame temps un gros 4x4. Sur la porti\u00e8re, le logo d''une soci\u00e9t\u00e9 priv\u00e9e de s\u00e9curit\u00e9. Trois hommes sont \u00e0 l''int\u00e9rieur.\n\nLe vieux bateau se pr\u00e9pare \u00e0 accoster. Deux miliciens descendent du 4x4. Le chef et un costaud au gabarit spectaculaire. Le chef crie en direction du pilote du bateau :\n\n/MILICIEN CHEF/ Tu sais pas lire ?\n\nIl pointe un panneau sur la jet\u00e9e, \u00e9crit en anglais et portugais : PROPRIETE PRIVEE.\n\n/PILOTE/ Il faut bien que je d\u00e9pose mes passagers ! Ca fait des ann\u00e9es que je me sers de...\n\n/MILICIEN CHEF/ (l''interrompant) D\u00e9gage !\n\nLe milicien costaud pose sa main sur son arme, mena\u00e7ant. Le pilote se le tient pour dite.\n\nIl change de direction et se dirige vers la plage d''\u00e0 c\u00f4t\u00e9, bord\u00e9e par une poign\u00e9e de baraques construites sur pilotis et couvertes de t\u00f4les ondul\u00e9es.\n\nL''\u00e9trave du vieux bateau est \u00e0 la limite de s''\u00e9chouer.\n\nLes passagers descendent comme ils peuvent, de l''eau jusqu''\u00e0 mi-cuisse. Une fois sur la plage, tous partent sur la gauche, sauf un qui prend la direction oppos\u00e9e. On le suit en restant dans son dos. C''est un homme de bonne taille, aux \u00e9paules carr\u00e9s, la d\u00e9marche souple. Il porte sur l''\u00e9paule un vieux sac \u00e0 dos en toile.\n\nIl entre dans un des baraques construites le long de la plage'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 2, NULL, NULL);              
INSERT INTO PUBLIC.SCENE(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, INFORMATIVE, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC, ODF, NARRATOR_ID) VALUES
(11, NULL, NULL, STRINGDECODE('Sc\u00e8ne 11'), '', '', '', 1, 1, 11, NULL, STRINGDECODE('Sc\u00e8ne 11'), STRINGDECODE('(DIALOGUES EN ANGLAIS SOUS-TITRES FRANCAIS JUSQU''A LA SCENE 16)\n\nUne pi\u00e8ce sombre et d\u00e9pouill\u00e9e. Quelques bougies cr\u00e9ent l''ambiance. Un panneau en anglais et en portugais est accroch\u00e9 au mur : \"SI TU AS LE SIDA NE TE FAIS PAS TATOUER\".\n\nDans un coin de la pi\u00e8ce, une grosse femme remue avec r\u00e9gularit\u00e9 une \u00e9trange mixture. Au centre, un vieil asiatique couvert de tatouages des pieds \u00e0 la t\u00eate est assis sur une natte, \u00e0 m\u00eame le sol. Face \u00e0 lui, l''homme dont on ne distingue toujours pas le visage en raison du contre-jour.\n\n/TATOUEUR/ Tu es arriv\u00e9 quand ?\n\n/HOMME/ Aujourd''hui.\n\n/TATOUEUR/ Tu repars quand ?\n\n/HOMME/ Demain.\n\n/TATOUEUR/ Tu vas o\u00f9 ?\n\n/HOMME/ Je remonte le fleuve.\n\n/TATOUEUR/ Jusqu''o\u00f9 ?\n\nL''homme hausse les \u00e9paules : il verra bien.\n\n/TATOUEUR/ Il est long ce fleuve...\n\n/HOMME/ J''ai tout mon temps.\n\nCette derni\u00e8re phrase fait sourire le vieil homme. Il se l\u00e8ve et fait un pas de c\u00f4t\u00e9 pour enfin d\u00e9couvrir le visage de son visiteur. Il s''agit d''un homme jeune (28 ans), visage h\u00e2l\u00e9 et mal ras\u00e9. Il regarde le tatoueur droit dans les yeux, un l\u00e9ger sourire aux l\u00e8vres. Il se d\u00e9gage de lui une assurance tranquille.\n\n/TATOUEUR/ Comment tu t''appelles ?\n\n/HOMME/ Largo.\n\n/TATOUEUR/ Largo comment ?\n\n/HOMME/ Largo.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 1, NULL, NULL),
(12, '2020-06-13 11:55:54', '2020-06-13 11:55:54', STRINGDECODE('Sc\u00e8ne 12'), '', '', '', 1, 1, 12, NULL, STRINGDECODE('Sc\u00e8ne 12'), STRINGDECODE('L''aiguille, longue d''une trentaine de centim\u00e8tres, s''enfonce dans la peau bronz\u00e9e. Largo grimace. Il est torse nu, pli\u00e9 en deux sur une bille de bois dans une position inconfortable, maintenu immobile par les deux mains de la grosse femme.\n\n/TATOUEUR/ Mon tatouage d''invincibilit\u00e9 je ne le fais pas \u00e0 n''importe qui.\n\nLe tatoueur plonge sa tr\u00e8s longue aiguille dans un liquide \u00e9trange dans lequel flottent des peaux de serpent.\n\n/TATOUEUR/ Le dernier qui y a eu droit s''est fait tirer dessus en sortant d''ici. Une histoire de fille... Il a arr\u00eat\u00e9 la balle avec ses dents ! J\u2019en ai un autre qui a saut\u00e9 sur une mine. Pas une \u00e9gratignure...\n\nLargo sourit, un brin moqueur, tandis que le tatoueur pique \u00e0 nouveau. Largo serre les dents.\n\n/TATOUEUR/ Plus qu\u2019un \u0153il et tu seras invincible...\n\n/VOIX FEMME/ (OFF) Arr\u00eatez ! L\u00e2che moi !\n\nLargo rel\u00e8ve la t\u00eate. Le tatoueur s''arr\u00eate. Un nouveau cri de femme retentit venant du dehors. Largo se redresse.\n\n/TATOUEUR/ J''ai pas fini !\n\nMais Largo s''est d\u00e9j\u00e0 lev\u00e9 et se dirige vers la sortie.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 1, NULL, NULL),
(13, '2020-06-13 11:56:00', '2020-06-13 11:56:00', STRINGDECODE('Sc\u00e8ne 13'), '', '', '', 1, 1, 13, NULL, STRINGDECODE('Sc\u00e8ne 13'), STRINGDECODE('Largo se retrouve sur une petite place. Une jolie jeune femme (L\u00e9a), visiblement \u00e9trang\u00e8re, est entour\u00e9e par les miliciens qui se trouvaient \u00e0 bord du 4x4. Leur voiture est d''ailleurs l\u00e0, gar\u00e9e non loin d''un bar d''o\u00f9 s''\u00e9chappe de la musique.\n\nLe costaud, essaye de contraindre la jeune femme \u00e0 lui donner un baiser. Ses deux comparses, le chef et le chauffeur, s''amusent de la situation et l''encouragent en portugais. L\u00e9a se d\u00e9bat, mais le milicien la serre contre lui.\n\nLargo n''h\u00e9site pas. Il s''avance, d\u00e9cid\u00e9. Au moment o\u00f9 il s''approche du type, la jeune femme l\u00e2che un :\n\n/LEA/ Gros porc !\n\n...en fran\u00e7ais qui fait sourire Largo. Il tapote sur l\u2019\u00e9paule du milicien. Ce dernier se retourne et d\u00e9couvre Largo, torse nu, face \u00e0 lui.\n\n/LARGO/ (\u00e0 L\u00e9a, en fran\u00e7ais) Bonjour...\n\nLa jeune femme est v\u00eatue d''un short court, porte un sac \u00e0 dos. Elle tr\u00e8s jolie mais rien de tapageur. Une beaut\u00e9 simple et naturelle. Largo fixe \u00e0 nouveau le milicien droit dans les yeux :\n\n/LARGO/ Te vexe pas, mais je crois que t''es pas son genre.\n\nSans un mot et sans h\u00e9siter, l''homme saisit Largo et l\u2019envoie valdinguer cinq m\u00e8tres plus loin. Hilarit\u00e9 des comparses.\n\nL''homme retourne \u00e0 son affaire avec L\u00e9a, glissant sa main dans son chemisier.\n\n/LARGO/ (en fran\u00e7ais) Invincible, c''est \u00e7a...\n\nLe tatoueur sort \u00e0 son tour de sa maison, l''aiguille encore \u00e0 la main. Il se justifie:\n\n/TATOUEUR/ Il manque un oeil !\n\nLargo se rel\u00e8ve avec un g\u00e9missement de douleur. Il arrache des mains du tatoueur la longue aiguille. Voil\u00e0 une arme.\n\nIl court vers l''attroupement, bouscule quelques hommes et, b\u00e9n\u00e9ficiant de l''effet de surprise, plante l''aiguille dans la main du gros. L''homme rel\u00e2che aussit\u00f4t L\u00e9a en hurlant de douleur. Largo en profite pour lui balancer un solide coup de poing. L''homme s''\u00e9croule, sonn\u00e9.\n\nFurieux, ses coll\u00e8gues se ruent en direction de Largo, matraques \u00e0 la main. Ils sont impressionnants. Largo attrape L\u00e9a par la main et l''entra\u00eene en courant.\n\n(DIALOGUES EN FRAN\u00c7AIS)\n\n/LARGO/ Suivez-moi !\n\nLe tatoueur regarde Largo s''enfuir avec L\u00e9a, poursuivis par la petite troupe.\n\n/LEA/ J''aurais pu me d\u00e9brouiller toute seule.\n\n/LARGO/ Vous auriez du le dire avant.\n\n/LEA/ Vous m''avez pas laiss\u00e9 le temps.\n\nIls arrivent devant une vieille moto gar\u00e9e un peu plus bas dans la rue. Les poursuivants ne sont plus tr\u00e8s loin. Largo enfourche le deux roues.\n\n/LARGO/ Vous vous d\u00e9brouillez toute seule ?\n\nLargo d\u00e9marre la moto. L\u00e9a se retourne, voit les poursuivants qui approchent. Elle choisit de grimper. Elle enlace le torse nu de Largo. Gros plan sur la main droite de Largo qui envoie les gaz.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 0, 2, NULL, NULL);              
INSERT INTO PUBLIC.SCENE(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, INFORMATIVE, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC, ODF, NARRATOR_ID) VALUES
(14, NULL, NULL, STRINGDECODE('Sc\u00e8ne 14'), '', '', '', 1, 1, 14, NULL, STRINGDECODE('Sc\u00e8ne 14'), STRINGDECODE('Largo roule \u00e0 toute allure pour semer ses poursuivants. Pour tenir sur la moto, L\u00e9a est oblig\u00e9e de se serrer contre lui.\n\n/LARGO/ Vous connaissez ces types ?\n\n/LEA/ C''est une milice priv\u00e9e. Ils doivent savoir que je travaille pour une ONG... Ils nous d\u00e9testent...'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 2, NULL, NULL),
(15, NULL, NULL, STRINGDECODE('Sc\u00e8ne 15'), '', '', '', 1, 1, 15, NULL, STRINGDECODE('Sc\u00e8ne 15'), STRINGDECODE('Une petite baraque d\u00e9labr\u00e9e un peu en dehors de la ville. La moto qui a servi \u00e0 la fuite de Largo et L\u00e9a est gar\u00e9e devant.\n\nUne chambre au confort rudimentaire. Une seule fen\u00eatre, ouverte \u00e9claire la chambre d''une lumi\u00e8re de fin de journ\u00e9e, entre chien et loup.\n\nLargo et L\u00e9a font l''amour sur un vague matelas. C''est fusionnel, ardent. Ils finissent en sueur, allong\u00e9s nus sur le lit.\n\n/LEA/ J''aime beaucoup.\n\n/LARGO/ Quoi ?\n\n/LEA/ Ton pr\u00e9nom. J''aime beaucoup ton pr\u00e9nom.\n\nIl sourit, l''embrasse. Deux amants se sont trouv\u00e9s.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 8, 1, NULL, NULL),
(16, NULL, NULL, STRINGDECODE('Sc\u00e8ne 16'), '', '', '', 1, 1, 16, NULL, STRINGDECODE('Sc\u00e8ne 16'), STRINGDECODE('Le soleil se couche sur un paysage de jungle. Il dispara\u00eet...\n\n...pour r\u00e9appara\u00eetre de l''autre c\u00f4t\u00e9 du globe, se levant derri\u00e8re les buildings de Hong Kong.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 8, 2, NULL, NULL),
(17, NULL, NULL, STRINGDECODE('Sc\u00e8ne 17'), '', '', '', 1, 1, 17, NULL, STRINGDECODE('Sc\u00e8ne 17'), STRINGDECODE('(DIALOGUES EN ANGLAIS SOUS TITR\u00c9S FRAN\u00c7AIS)\n\nLa silhouette d''un homme se d\u00e9coupe sur fond de gratte-ciels. Il est au t\u00e9l\u00e9phone, assis \u00e0 son bureau. Son visage est tendu.\n\n/MEYER/ Je suis Alexandre Meyer ! Il faut absolument que je lui parle... Oui je sais quelle heure il est ! C''est urgent !\n\nBien que nerveux, Meyer prend soin de ne pas parler trop fort.\n\n/VOIX FEMME/ (OFF) Ne quittez pas.\n\nDurant quelques secondes, on n''entend plus que le ronronnement de la climatisation. Meyer griffonne nerveusement sur un bloc-notes sur lequel figure son nom, son titre de directeur financier adjoint et le logo du groupe WINCH. Et soudain :\n\n/VOIX HOMME/ (OFF) (accent \u00e9tranger) Qu''est-ce qu''il vous arrive ?\n\n/MEYER/ Nerio Winch est mort cette nuit...(silence) Je pense qu''ils vont attendre que Tokyo cl\u00f4ture avant de l''annoncer. \n\n/VOIX HOMME/ (OFF) Alors il n''y a pas de temps \u00e0 perdre.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 2, 1, NULL, NULL),
(18, NULL, NULL, STRINGDECODE('Sc\u00e8ne 18'), '', '', '', 1, 1, 18, NULL, STRINGDECODE('Sc\u00e8ne 18'), STRINGDECODE('La nuit est tomb\u00e9e. Les seules lumi\u00e8res proviennent de l''ext\u00e9rieur. Ailleurs dans l''immeuble quelqu''un \u00e9coute de la musique \u00e0 la radio. Largo est allong\u00e9 sur le ventre. Blottie contre lui, L\u00e9a caresse le tatouage de t\u00eate de serpent.\n\n/LEA/ ...ces miliciens sont pay\u00e9es par les multinationales... Ils surveillent les ouvriers sur les chantiers... Des pauvres types qu''on va chercher dans leurs villages et qui sont trait\u00e9s comme des esclaves...\n\n/LARGO/ Et la police ?\n\n/LEA/ Tous corrompus... Jusqu''\u00e0 la moelle. (silence) Comme disait mon grand-p\u00e8re communiste, l''argent ach\u00e8te tout...\n\nGros plan sur Largo, pensif.\n\n/LEA/ Et toi tu fais quoi dans ce coin paum\u00e9 ?\n\nLargo attrape sur une table une bouteille d''eau. Il boit au goulot avant de r\u00e9pondre:\n\n/LARGO/ Je me prom\u00e8ne.\n\nElle prend la bouteille des mains de Largo et boit une gorg\u00e9e.\n\n/LEA/ Tu viens d''o\u00f9 ?\n\nPlut\u00f4t que de r\u00e9pondre, il se rallonge en fermant les yeux. Elle insiste en chuchotant :\n\n/LEA/ Tu viens d''o\u00f9 avec ton dr\u00f4le de pr\u00e9nom ?\n\n/LARGO/ C''est une longue histoire...\n\nLargo l''attire sur lui. Il lui embrasse le cou, descend sur son ventre.\n\nUn peu plus tard. Largo est profond\u00e9ment endormi. Assise au bord du lit, L\u00e9a est r\u00e9veill\u00e9e. Elle regarde le jeune homme endormi. On la devine attendrie. Puis, discr\u00e8tement, la jeune femme se l\u00e8ve...\n\nD\u00e9sormais rhabill\u00e9e, L\u00e9a, faisant tr\u00e8s attention \u00e0 ne faire aucun bruit, ouvre son sac \u00e0 dos. Elle en retire plusieurs sachets de poudre brun\u00e2tre qu''elle va placer dans les affaires de Largo pos\u00e9es en boule sur une chaise.\n\nAssise sur le bord du lit, L\u00e9a tient \u00e0 la main une seringue.\n\nElle l''avance en direction de l''avant-bras de Largo, endormi. En m\u00eame temps, elle pose ses l\u00e8vres sur celle de Largo. Elle l''embrasse. Plong\u00e9 dans son sommeil, il se laisse faire. Elle lui mord la l\u00e8vre. Au m\u00eame moment, elle enfonce la seringue dans son bras. Tout en continuant de l''embrasser, elle injecte le produit, puis retire l''aiguille. Un dernier baiser. Elle se redresse. Un dernier regard pour Largo. Il dort.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 7, 1, NULL, NULL);  
INSERT INTO PUBLIC.SCENE(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, INFORMATIVE, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC, ODF, NARRATOR_ID) VALUES
(19, NULL, NULL, STRINGDECODE('Sc\u00e8ne 19'), '', '', '', 1, 1, 19, NULL, STRINGDECODE('Sc\u00e8ne 19'), STRINGDECODE('(DIALOGUES EN ANGLAIS SOUS-TITRES FRAN\u00c7AIS JUSQU''A LA SCENE 33)\n\nLargo ouvre brusquement les yeux. Lumi\u00e8re aveuglante du matin. Des bruits de coups. Largo cligne des yeux. Tout est d\u00e9form\u00e9. Ce qu''il voit, ce qu''il entend. Il tente de se redresser sur un coude.\n\nLa porte s''ouvre brusquement, c\u00e9dant \u00e0 un coup d''\u00e9paule. Des policiers d\u00e9boulent dans la pi\u00e8ce. Largo ne peut r\u00e9agir. Il n''a aucune force. Toujours ces images et ces voix d\u00e9form\u00e9es.\n\nDeux policiers l''empoignent et le sortent du lit, l''obligeant \u00e0 se tenir debout. Trois autres policiers fouillent la chambre, encourag\u00e9 par un officier qui vient se planter face \u00e0 Largo. Il regarde les yeux vitreux de Largo et hoche la t\u00eate, vaguement d\u00e9go\u00fbt\u00e9.\n\nUn des ses hommes trouve le passeport de Largo dans son pantalon. Il le donne \u00e0 l''officier qui le feuillette. Les pages sont couvertes de tampons divers et vari\u00e9s.\n\n/OFFICIER/ (mauvais accent anglais) Vous avez beaucoup voyag\u00e9 Monsieur Winczlav.\n\nLargo parvient \u00e0 peine \u00e0 tenir debout. Il tente de r\u00e9pondre mais aucun mot ne sort. Au m\u00eame moment, un flic met la main sur les sachets laiss\u00e9s par L\u00e9a. Il les donne \u00e0 l''officier.\n\nCe dernier brandit les sachets d''h\u00e9ro\u00efne sous le nez de Largo.\n\n/OFFICIER/ D''o\u00f9 est-ce que \u00e7a sort ?\n\n/LARGO/ (tr\u00e8s p\u00e2teux) C''est pas \u00e0 moi...\n\nL''officier lui balance un coup de poing dans le ventre. Largo se plie en deux. Les deux policiers qui l''encadrent l''emp\u00eachent de tomber par terre.\n\n/OFFICIER/ Cinquante ans de prison...$\nCinquante !'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 1, NULL, NULL),
(20, NULL, NULL, STRINGDECODE('Sc\u00e8ne 20'), '', '', '', 1, 1, 20, NULL, STRINGDECODE('Sc\u00e8ne 20'), STRINGDECODE('Le milicien chef sort d''un bar et se dirige vers un taxi arr\u00eat\u00e9 au coin de la rue. La vitre arri\u00e8re s''abaisse. Le visage de L\u00e9a appara\u00eet. Nouvelle coiffure, plus sophistiqu\u00e9e.\n\nElle lui tend une liasse de billets. Il la remercie d''un geste.\n\nL\u00e9a se tourne vers le chauffeur.\n\n/LEA/ (en portugais) A l''a\u00e9roport...'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 2, NULL, NULL),
(21, NULL, NULL, STRINGDECODE('Sc\u00e8ne 21'), '', '', '', 1, 1, 21, NULL, STRINGDECODE('Sc\u00e8ne 21'), STRINGDECODE('La skyline de Hong Kong. Travelling avant puis circulaire autour de l''un des plus hauts gratte-ciels de la ville. Celui\u2014ci arbore un logo W.\n\n/JOURNALISTE/ (OFF) Le groupe W reste \u00e0 ce jour le plus grand conglom\u00e9rat d''entreprises multinationales jamais poss\u00e9d\u00e9 par un seul homme.\n\n'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 2, NULL, NULL),
(22, NULL, NULL, STRINGDECODE('Sc\u00e8ne 22'), '', '', '', 1, 1, 22, NULL, STRINGDECODE('Sc\u00e8ne 22'), STRINGDECODE('A travers la baie vitr\u00e9e situ\u00e9e au dernier \u00e9tage de l\u2019immeuble, Ann Ferguson regarde le paysage de gratte-ciels.\n\n/KWAN/ C''est la guerre !\n\nNous d\u00e9couvrons alors, assis avec Kwan autour d\u2019une table basse trois hommes en costumes sur mesure : Cattaneo, Attinger et Greenfield.\n\n/CATTANEO/ Tout de suite les grands mots.\n\n/KWAN/ IMX, \u00e7a vous dit quelque chose ?\n\nKwan les regarde tous. Personne ne r\u00e9pond.\n\n/KWAN/ Depuis trois semaines ce fond d''investissement rach\u00e8te discr\u00e8tement des actions du groupe. Deux heures avant l''annonce du d\u00e9c\u00e8s de Nerio, ils ont rafl\u00e9 tout ce qui \u00e9tait disponible sur les march\u00e9s.\n\n/GREENFIELD/ \u00c7a ne peut pas \u00eatre un hasard.\n\n/ATTINGER/ Qui est derri\u00e8re tout \u00e7a ?\n\n/KWAN/ (geste d''impuissance) Le si\u00e8ge d''IMX est bas\u00e9 aux \u00eeles Ca\u00efman...\n\n/GREENFIELD/ La parfaite soci\u00e9t\u00e9 \u00e9cran...\n\nKwan acquiesce, jette un oeil \u00e0 Ferguson, toujours face \u00e0 la vitre.\n\n/ATTINGER/ Racheter des actions du groupe, mais dans quel but ? C''est peine perdue. Tout le monde sait que Nerio est majoritaire \u00e0 65%.\n\n/KWAN/ (sec) Etait. Dois-je vous rappeler qu''il est mort ?\n\nCattaneo retient un sourire, Attinger baisse bri\u00e8vement les yeux.\n\n/KWAN/ Nous sommes sans d\u00e9fense. Si on ne trouve pas une parade aujourd\u2019hui m\u00eame, le groupe n''en a plus pour longtemps.$(((\u00e0 Ferguson, agressif))) Qu''en pense la direction provisoire ?\n\n/FERGUSON/ Je crois, mon cher William, que Nerio avait con\u00e7u une excellente parade.$(((Tous regardent la num\u00e9ro deux qui se retourne enfin.))) Un fils.\n\n/CATTANEO/ Nerio n''a jamais eu d''enfant !\n\n/FERGUSON/ Un fils adoptif.\n\nLes quatre hommes sont m\u00e9dus\u00e9s.'), 0, NULL, NULL, FALSE, '', 0, 0, 0, 1, 2, NULL, NULL);         
CREATE CACHED TABLE PUBLIC.STATUS(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    ICONE VARCHAR(256)
);           
ALTER TABLE PUBLIC.STATUS ADD CONSTRAINT PUBLIC.CONSTRAINT_92 PRIMARY KEY(ID); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE PUBLIC.STRAND(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    ABBREVIATION VARCHAR(256),
    COLOR INTEGER,
    SORT INTEGER
);               
ALTER TABLE PUBLIC.STRAND ADD CONSTRAINT PUBLIC.CONSTRAINT_926 PRIMARY KEY(ID);
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO PUBLIC.STRAND(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, ABBREVIATION, COLOR, SORT) VALUES
(1, NULL, NULL, STRINGDECODE('Fil par d\u00e9faut'), '', '', '', 'DS', -1052673, 1);       
CREATE CACHED TABLE PUBLIC.TAG(
    ID BIGINT NOT NULL,
    TYPE INTEGER NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CATEGORY VARCHAR(255)
);
ALTER TABLE PUBLIC.TAG ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(ID);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
CREATE CACHED TABLE PUBLIC.TAG_LINK(
    ID BIGINT NOT NULL,
    TYPE INTEGER NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    START_SCENE_ID BIGINT,
    END_SCENE_ID BIGINT,
    CHARACTER_ID BIGINT,
    LOCATION_ID BIGINT,
    TAG_ID BIGINT
);              
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.CONSTRAINT_2D PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE PUBLIC.TIMEEVENT(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    TITLE VARCHAR(256),
    EVENT_TS TIMESTAMP,
    TIME_STEP INTEGER,
    CATEGORY VARCHAR(255)
);              
ALTER TABLE PUBLIC.TIMEEVENT ADD CONSTRAINT PUBLIC.CONSTRAINT_A8 PRIMARY KEY(ID);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
CREATE CACHED TABLE PUBLIC.PERSON_ATTRIBUTE(
    PERSON_ID BIGINT NOT NULL,
    ATTRIBUTE_ID BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE PUBLIC.PERSON_CATEGORIES(
    PERSON_ID BIGINT NOT NULL,
    CATEGORY_ID BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_ITEMS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    ITEM_ID BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_LOCATIONS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_PERSONS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    PERSON_ID BIGINT NOT NULL
);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE PUBLIC.SCENE_ITEM(
    SCENE_ID BIGINT NOT NULL,
    ITEM_ID BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
CREATE CACHED TABLE PUBLIC.SCENE_LOCATION(
    SCENE_ID BIGINT NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);    
-- 20 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;          
INSERT INTO PUBLIC.SCENE_LOCATION(SCENE_ID, LOCATION_ID) VALUES
(3, 2),
(4, 3),
(6, 4),
(8, 5),
(9, 5),
(10, 6),
(15, 8),
(19, 8),
(20, 7),
(7, 4),
(11, 7),
(12, 7),
(13, 7),
(14, 6),
(16, 8),
(17, 10),
(18, 8),
(21, 11),
(22, 12),
(2, 2);
CREATE CACHED TABLE PUBLIC.SCENE_PERSON(
    SCENE_ID BIGINT NOT NULL,
    PERSON_ID BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
CREATE CACHED TABLE PUBLIC.SCENE_PLOT(
    SCENE_ID BIGINT NOT NULL,
    PLOT_ID BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
CREATE CACHED TABLE PUBLIC.SCENE_STRAND(
    SCENE_ID BIGINT NOT NULL,
    STRAND_ID BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
CREATE CACHED TABLE PUBLIC.LOCATION(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    ADDRESS VARCHAR(256),
    CITY VARCHAR(256),
    COUNTRY VARCHAR(256),
    ALTITUDE INTEGER,
    LOCATION_ID BIGINT,
    GPS VARCHAR(256)
);  
ALTER TABLE PUBLIC.LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(ID);
-- 12 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION;
INSERT INTO PUBLIC.LOCATION(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, ADDRESS, CITY, COUNTRY, ALTITUDE, LOCATION_ID, GPS) VALUES
(1, NULL, NULL, 'Salle de ferme', '', '', '', '', '', '', NULL, NULL, ''),
(2, NULL, NULL, 'Yacht', '', '', '', '', '', '', NULL, NULL, ''),
(3, NULL, NULL, 'Mer', '', '', '', '', '', '', NULL, NULL, ''),
(4, NULL, '2020-06-12 12:01:40', 'Orphelinat', '', '', '', '', '', '', NULL, NULL, ''),
(5, NULL, '2020-06-13 10:48:44', 'Mainson de Josip et Hannah', '', '', '', '', '', '', NULL, NULL, ''),
(6, NULL, '2020-06-22 20:00:06', STRINGDECODE('S\u00c0O JOS\u00c9 DOS QUATRO MARCOS'), '', '', '', '', STRINGDECODE('S\u00c0O JOS\u00c9 DOS QUATRO MARCOS'), '', NULL, NULL, '-15.6295/-58.1823'),
(7, NULL, '2020-06-13 11:40:57', 'Mainson Tatoueur', '', '', '', '', '', '', NULL, NULL, ''),
(8, NULL, '2020-06-16 12:52:04', STRINGDECODE('Chambre d''h\u00f4tel'), '', '', '', '', '', '', NULL, NULL, ''),
(9, NULL, '2020-06-16 12:54:44', 'Jungle', '', '', '', '', '', '', NULL, NULL, ''),
(10, NULL, '2020-06-16 12:56:20', 'Bureau Meyer', '', '', '', '', '', '', NULL, NULL, ''),
(11, NULL, '2020-06-22 19:46:21', 'Hong-Kong', '', '', '', '', 'Hong-Kong', 'Chine', NULL, NULL, ''),
(12, NULL, '2020-06-20 14:52:25', 'Bureau Fergusson', '', '', '', '', '', '', NULL, NULL, '');              
ALTER TABLE PUBLIC.RELATIONSHIP_ITEMS ADD CONSTRAINT PUBLIC.FK6F2B36F9BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;        
ALTER TABLE PUBLIC.RELATIONSHIP_LOCATIONS ADD CONSTRAINT PUBLIC.FK1FB562174C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;            
ALTER TABLE PUBLIC.CATEGORY ADD CONSTRAINT PUBLIC.FK31A8ACFE18A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;          
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C648F075E FOREIGN KEY(CHAPTER_ID) REFERENCES PUBLIC.CHAPTER(ID) NOCHECK;
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C37380422 FOREIGN KEY(NARRATOR_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FA8B82A3E FOREIGN KEY(TAG_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;     
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C79E12EB6 FOREIGN KEY(STRAND_ID) REFERENCES PUBLIC.STRAND(ID) NOCHECK;  
ALTER TABLE PUBLIC.PERSON_ATTRIBUTE ADD CONSTRAINT PUBLIC.FKD555DA32BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;      
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.FK8C768F558C3830D6 FOREIGN KEY(GENDER_ID) REFERENCES PUBLIC.GENDER(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F36DA5802 FOREIGN KEY(CHARACTER_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_ITEM ADD CONSTRAINT PUBLIC.FK7BFE92E65A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;              
ALTER TABLE PUBLIC.SCENE_STRAND ADD CONSTRAINT PUBLIC.FK87BBB11979E12EB6 FOREIGN KEY(STRAND_ID) REFERENCES PUBLIC.STRAND(ID) NOCHECK;          
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38D370C73B FOREIGN KEY(START_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;      
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FD00CFAE2 FOREIGN KEY(END_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;             
ALTER TABLE PUBLIC.RELATIONSHIP_PERSONS ADD CONSTRAINT PUBLIC.FKAAA634B7BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;  
ALTER TABLE PUBLIC.SCENE_PERSON ADD CONSTRAINT PUBLIC.FK81CA0A68BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;          
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38B5437ECF FOREIGN KEY(PERSON1_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;         
ALTER TABLE PUBLIC.RELATIONSHIP_ITEMS ADD CONSTRAINT PUBLIC.FK6F2B36F948B9F696 FOREIGN KEY(ITEM_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;         
ALTER TABLE PUBLIC.PERSON_CATEGORIES ADD CONSTRAINT PUBLIC.FKA7F094618A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;  
ALTER TABLE PUBLIC.RELATIONSHIP_LOCATIONS ADD CONSTRAINT PUBLIC.FK1FB56217BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;    
ALTER TABLE PUBLIC.SCENE_LOCATION ADD CONSTRAINT PUBLIC.FK8E5696084C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;    
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38D00CFAE2 FOREIGN KEY(END_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;        
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38B543F32E FOREIGN KEY(PERSON2_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;         
ALTER TABLE PUBLIC.SCENE_PLOT ADD CONSTRAINT PUBLIC.FK7C01A4B45A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;              
ALTER TABLE PUBLIC.LOCATION ADD CONSTRAINT PUBLIC.FK9FF58FB54C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;          
ALTER TABLE PUBLIC.SCENE_STRAND ADD CONSTRAINT PUBLIC.FK87BBB1195A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;            
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F4C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;           
ALTER TABLE PUBLIC.SCENE_ITEM ADD CONSTRAINT PUBLIC.FK7BFE92E648B9F696 FOREIGN KEY(ITEM_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK; 
ALTER TABLE PUBLIC.SCENE_PERSON ADD CONSTRAINT PUBLIC.FK81CA0A685A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;            
ALTER TABLE PUBLIC.PERSON_CATEGORIES ADD CONSTRAINT PUBLIC.FKA7F0946BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;      
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.FK8C768F5518A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_LOCATION ADD CONSTRAINT PUBLIC.FK8E5696085A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;          
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FD370C73B FOREIGN KEY(START_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;           
ALTER TABLE PUBLIC.CHAPTER ADD CONSTRAINT PUBLIC.FK56D8082D9B56CA96 FOREIGN KEY(PART_ID) REFERENCES PUBLIC.PART(ID) NOCHECK;   
ALTER TABLE PUBLIC.SCENE_PLOT ADD CONSTRAINT PUBLIC.FK7C01A4B4ADF1FBD6 FOREIGN KEY(PLOT_ID) REFERENCES PUBLIC.PLOT(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F961090AF FOREIGN KEY(TAG_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;     
ALTER TABLE PUBLIC.PERSON_ATTRIBUTE ADD CONSTRAINT PUBLIC.FKD555DA32490A0FFE FOREIGN KEY(ATTRIBUTE_ID) REFERENCES PUBLIC.ATTRIBUTE(ID) NOCHECK;
ALTER TABLE PUBLIC.RELATIONSHIP_PERSONS ADD CONSTRAINT PUBLIC.FKAAA634B7BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;      
ALTER TABLE PUBLIC.PART ADD CONSTRAINT PUBLIC.FK255BF39B56CA96 FOREIGN KEY(PART_ID) REFERENCES PUBLIC.PART(ID) NOCHECK;        
